org.eclipse.net4j

## Class TransportConfigurator

- java.lang.Object
- - org.eclipse.net4j.TransportConfigurator

-     public class TransportConfigurator
      extends java.lang.Object

  Reads an XML config file and creates, wires and starts the configured `acceptors`.
  Since:
    2.0
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransportConfigurator(IManagedContainer container)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IAcceptor[]` | `configure(java.io.File configFile)`
    `protected IAcceptor` | `configureAcceptor(org.w3c.dom.Element acceptorConfig)`
    `protected INegotiator` | `configureNegotiator(org.w3c.dom.Element negotiatorConfig)`
    `protected void` | `configureStreamWrapper(org.w3c.dom.Element streamWrapperConfig, Acceptor acceptor)`
    `IManagedContainer` | `getContainer()`
    `protected org.w3c.dom.Document` | `getDocument(java.io.File configFile)`
    `static java.util.Map<java.lang.String,java.lang.String>` | `getProperties(org.w3c.dom.Element element, int levels)`
    `protected org.w3c.dom.Element` | `getStoreConfig(org.w3c.dom.Element repositoryConfig)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransportConfigurator

          public TransportConfigurator(IManagedContainer container)

  - ### Method Detail

    - #### getContainer

          public IManagedContainer getContainer()

    - #### configure

          public IAcceptor[] configure(java.io.File configFile)
                                throws javax.xml.parsers.ParserConfigurationException,
                                       org.xml.sax.SAXException,
                                       java.io.IOException,
                                       CoreException

      Throws:
        `javax.xml.parsers.ParserConfigurationException`
        `org.xml.sax.SAXException`
        `java.io.IOException`
        `CoreException`

    - #### configureAcceptor

          protected IAcceptor configureAcceptor(org.w3c.dom.Element acceptorConfig)

    - #### configureNegotiator

          protected INegotiator configureNegotiator(org.w3c.dom.Element negotiatorConfig)

    - #### configureStreamWrapper

          protected void configureStreamWrapper(org.w3c.dom.Element streamWrapperConfig,
                                                Acceptor acceptor)

      Since:
        4.5

    - #### getDocument

          protected org.w3c.dom.Document getDocument(java.io.File configFile)
                                              throws javax.xml.parsers.ParserConfigurationException,
                                                     org.xml.sax.SAXException,
                                                     java.io.IOException

      Throws:
        `javax.xml.parsers.ParserConfigurationException`
        `org.xml.sax.SAXException`
        `java.io.IOException`

    - #### getStoreConfig

          protected org.w3c.dom.Element getStoreConfig(org.w3c.dom.Element repositoryConfig)

    - #### getProperties

          public static java.util.Map<java.lang.String,java.lang.String> getProperties(org.w3c.dom.Element element,
                                                                                       int levels)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html